# Uses of Class
com.ngrok.definitions.AwsRole

Packages that use AwsRole
Package
Description
com.ngrok.definitions

- ## Uses of AwsRole in com.ngrok.definitions

  Methods in com.ngrok.definitions that return AwsRole
  Modifier and Type
  Method
  Description
  `AwsRole`
  AwsRole.Builder.`build()`
  Constructs the `AwsRole` instance.
  Methods in com.ngrok.definitions that return types with arguments of type AwsRole
  Modifier and Type
  Method
  Description
  `Optional<AwsRole>`
  AwsAuth.`getRole()`
  A role for ngrok to assume on your behalf to deposit events into your AWS account.
  Methods in com.ngrok.definitions with parameters of type AwsRole
  Modifier and Type
  Method
  Description
  `AwsAuth.Builder`
  AwsAuth.Builder.`role(AwsRole role)`
  A role for ngrok to assume on your behalf to deposit events into your AWS account.
  Method parameters in com.ngrok.definitions with type arguments of type AwsRole
  Modifier and Type
  Method
  Description
  `AwsAuth.Builder`
  AwsAuth.Builder.`role(Optional<AwsRole> role)`
  A role for ngrok to assume on your behalf to deposit events into your AWS account.